<?php
/*
Plugin Name: Gist Button
Plugin URI: https://www.gistai.com/plugins/
Description: Get Your Blog content in summery
Author: Gist, Yrals Inc.
Version: 1.0.1   
Author URI: http://www.gistai.com
*/

register_activation_hook(__FILE__, 'gistbutton_activate');
add_action('wp_head', 'gt_button_add');
add_action('init', 'gb_updateoptions', 9999);
add_action('wp_enqueue_scripts', 'add_gist_style', 99);
add_action('admin_menu', 'add_gistbutton_menu');
add_action('admin_enqueue_scripts', 'adminData');

function add_gist_style() {
    wp_register_style('gistbutton', plugins_url('css/style.css?ver=1.3', __FILE__));
    wp_enqueue_style( 'gistbutton' );

    
}
function gistbutton_activate()
{
	global $wpdb;
	$hugeit_lightbox = "CREATE TABLE IF NOT EXISTS " . $wpdb->prefix . "gistbutton_options (
		`id` int(11) NOT NULL AUTO_INCREMENT,
		`name` text NOT NULL,
		`title` text NOT NULL,
		`value` text NOT NULL,
		PRIMARY KEY (`id`)
	) ENGINE=MyISAM  DEFAULT CHARSET=utf8;";
	$wpdb->query($hugeit_lightbox);
    $sql_query_insert = "INSERT INTO " . $wpdb->prefix . "gistbutton_options (`name`, `title`, `value`) VALUES	
	('web_id', 'Website Id', ''),
	('website', 'Website blog name', 'My Blog'),
	('status', 'Button status', '0'),
	('gist_option', 'Gist Button Option', '1'),
	('gist_autoload', 'Gist Overlay Autoload', 'false'),
    ('gist_shareble', 'Gist Data Shareble', 'true'),
    ('publisher_id', 'Publisher Id', ''),
    ('publisher_username', 'Publisher User Name', '')";
    if (!$wpdb->get_var("select count(*) from " . $wpdb->prefix . "gistbutton_options")) {
		$wpdb->query($sql_query_insert);
	}
}

function add_gistbutton_menu(){
    add_menu_page( 'Gist Button', 'Gist Button', 'manage_options', 'gist-plugin', 'admininit' );
}

function adminData(){
    wp_enqueue_script('jquery');
    wp_enqueue_style("admin_css", plugins_url("css/style.css?ver=1.3", __FILE__), FALSE);
    wp_enqueue_script('gistjs', plugins_url('js/script.js', __FILE__), array('jquery'));
    
}

function admininit(){
   
    global $wpdb;
	$query="SELECT * FROM ".$wpdb->prefix."gistbutton_options";
    $rowspar = $wpdb->get_results($query);
    $paramssld = array();
    foreach ($rowspar as $rowpar) {
        $key = $rowpar->name;
        $value = $rowpar->value;
        $paramssld[$key] = $value;
    }
    if($paramssld['web_id'] == "")
    {
      include_once("admin/index.php");
    }
    else{
    if(isset($_GET['edit']) && $_GET['edit'] == "true"){
       include_once("admin/index.php");
    }
    else{
       include_once("admin/index.php"); 
    }
    }
}

function gb_updateoptions(){
    if(isset($_POST['updateoption'])){
      //Allalidation
      $webId = sanitize_text_field($_POST["web_id"]);
      $website = sanitize_text_field($_POST["blog_url"]);
      $status = sanitize_text_field($_POST["gist_status"]);
      $gist_option = sanitize_text_field($_POST["gist_option"]);
      $gist_autoload = sanitize_text_field($_POST["gist_autoload"]);
      $gist_shareble = sanitize_text_field($_POST["gist_shareble"]);
      $publisher_id = sanitize_text_field($_POST["publisher_id"]);
      $publisher_username = sanitize_text_field($_POST["publisher_username"]);
      global $wpdb;
      $wpdb->query($wpdb->prepare("UPDATE ".$wpdb->prefix."gistbutton_options SET value = '%s' WHERE name = 'web_id'", $webId));
      $wpdb->query($wpdb->prepare("UPDATE ".$wpdb->prefix."gistbutton_options SET value = '%s' WHERE name = 'website'", $website));
      $wpdb->query($wpdb->prepare("UPDATE ".$wpdb->prefix."gistbutton_options SET value = '%s' WHERE name = 'status'", $status));
      $wpdb->query($wpdb->prepare("UPDATE ".$wpdb->prefix."gistbutton_options SET value = '%s' WHERE name = 'gist_option'", $gist_option));
      $wpdb->query($wpdb->prepare("UPDATE ".$wpdb->prefix."gistbutton_options SET value = '%s' WHERE name = 'gist_autoload'", $gist_autoload));
      $wpdb->query($wpdb->prepare("UPDATE ".$wpdb->prefix."gistbutton_options SET value = '%s' WHERE name = 'gist_shareble'", $gist_shareble));
      $wpdb->query($wpdb->prepare("UPDATE ".$wpdb->prefix."gistbutton_options SET value = '%s' WHERE name = 'publisher_id'", $publisher_id));
      $wpdb->query($wpdb->prepare("UPDATE ".$wpdb->prefix."gistbutton_options SET value = '%s' WHERE name = 'publisher_username'", $publisher_username));

}
    
}
function gt_button_add(){ 
    global $post;
    global $wpdb;
	$query="SELECT * FROM ".$wpdb->prefix."gistbutton_options";
    $rowspar = $wpdb->get_results($query);
    $paramssld = array();
    foreach ($rowspar as $rowpar) {
        $key = $rowpar->name;
        $value = $rowpar->value;
        $paramssld[$key] = $value;
    }
    if($paramssld['status'] == 1){
    
    $post_content = $post->post_content;
    echo "<div class='bt_gistbutton_hidden_content' style='display:none;'>".$post_content."</div>";
    if($post->post_type == 'post') { 
    if(is_singular(array('post', 'page')))
    {
        $blogImage = "";
         if ( has_post_thumbnail() ){
            $image = wp_get_attachment_image_src( get_post_thumbnail_id(), 'large' ); 
            $blogImage = $image[0];
        }
    ?>
    
	
    <?php if($paramssld['gist_option'] == 2){
    
    ?>
    <script type="text/javascript">
    jQuery(document).ready(function($) {
        //AddhiddenData
        $("body").append("<span class='bt_gistbutton_default' gistbuttonText='Gist'></span>");
        $("body").append("<input type='hidden' id='titleForGistButton' value='<?php the_title() ?>' />");
        $("body").append("<input type='hidden' id='pubIdForGistButton' value='<?php echo $paramssld['web_id']; ?>' />");
        $("body").append("<input type='hidden' id='ImgForGistButton' value='<?php echo $blogImage; ?>' />");
       
    });
    </script>
    <?php }
     else{
         add_filter('the_content', 'gt_add_widget');
        
    ?><script type="text/javascript">
    jQuery(document).ready(function($) {
        //AddhiddenData
        $("body").append("<input type='hidden' id='titleForGistButton' value='<?php the_title() ?>' />");
        $("body").append("<input type='hidden' id='pubIdForGistButton' value='<?php echo $paramssld['web_id']; ?>' />");
        $("body").append("<input type='hidden' id='ImgForGistButton' value='<?php echo $blogImage; ?>' />");
       
    });
    </script>
    <?php
     }   
    ?>
    <script type="text/javascript" src="https://www.gistai.com/widget/gistbutton_wp.js"></script> 
    <script type="text/javascript"> gistButton.options({publisher: "<?php echo $paramssld['web_id'];?>", autoload: <?php echo $paramssld['gist_autoload'];?>, sharable: <?php echo $paramssld['gist_shareble'];?>, option: <?php echo $paramssld['gist_option'];?>});</script>
    
    <?php
}
}
    }
}
function gt_add_widget($content) {
	if (!is_feed()) {
		return gt_show_buttons($content);
	}
	
	return $content;
}

function gt_show_buttons($content) {
	global $post;
	$postType = $post->post_type;
    if($post->post_type == 'post') { 
    return "<p class='no-break'><span class='bt_gistbutton_default bt_gistbutton_default_wp' gistbuttonText='Gist'></span></p>".$content;
}
}
?>